﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using System.Data.SqlClient;
using System.Web.Services;
using System.Configuration;

public partial class CS : System.Web.UI.Page
{
    protected int RepeatColumns;
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            this.BindDummyItem();
        }
    }

    private void BindDummyItem()
    {
        DataTable dummy = new DataTable();
        dummy.Columns.Add("ProductId");
        dummy.Columns.Add("Name");
        dummy.Columns.Add("Price");
        int count = dlProducts.RepeatColumns == 0 ? 1 : dlProducts.RepeatColumns;
        for (int i = 0; i < count; i++)
        {
            dummy.Rows.Add();
        }
        dlProducts.DataSource = dummy;
        dlProducts.DataBind();
        this.RepeatColumns = dlProducts.RepeatColumns == 0 ? 1 : dlProducts.RepeatColumns;
    }

    [WebMethod]
    public static string GetProducts(int start, int end)
    {
        System.Threading.Thread.Sleep(2000);
        string strConnString = ConfigurationManager.ConnectionStrings["constr"].ConnectionString;
        DataSet ds = new DataSet();
        using (SqlConnection con = new SqlConnection(strConnString))
        {
            string query = "SELECT * FROM Products WHERE (Price BETWEEN @Start AND @End) OR (@Start = 0 AND @End = 0)";
            using (SqlCommand cmd = new SqlCommand(query))
            {
                cmd.Connection = con;
                cmd.Parameters.AddWithValue("@Start", start);
                cmd.Parameters.AddWithValue("@End", end);
                using (SqlDataAdapter sda = new SqlDataAdapter(cmd))
                {
                    sda.Fill(ds, "Products");
                }
            }
        }
        DataTable dt = new DataTable();
        dt.TableName = "Range";
        using (SqlConnection con = new SqlConnection(strConnString))
        {
            string query = "SELECT MIN(Price) [Min], MAX(Price) [Max] FROM Products";
            using (SqlCommand cmd = new SqlCommand(query))
            {
                cmd.Connection = con;
                using (SqlDataAdapter sda = new SqlDataAdapter(cmd))
                {
                    sda.Fill(dt);
                }
            }
        }
        ds.Tables.Add(dt);
        return ds.GetXml();
    }
}