﻿<%@ Page Language="VB" AutoEventWireup="false" CodeFile="VB.aspx.vb" Inherits="VB" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title></title>
    <style type="text/css">
        body
        {
            font-family: Arial;
            font-size: 10pt;
            margin: 0;
            padding: 0;
        }
        .loader
        {
            height: 50px;
            width: 100px;
        }
        .item
        {
            width: 202px;
            border: 1px solid #ccc;
            box-shadow: 2px 2px 8px 2px #ccc;
        }
        .item .header
        {
            height: 30px;
            background-color: #9F9F9F;
            color: #fff;
        }
        .item .body
        {
            width: 200px;
            height: 200px;
        }
        .item .image
        {
            height: 200px;
            width: 200px;
        }
        .item .footer
        {
            height: 50px;
        }
        .button, .button:hover
        {
            height: 45px;
            padding: 10px;
            color: White;
            line-height: 23px;
            text-align: center;
            font-weight: bold;
            cursor: pointer;
            border-radius: 4px;
            text-decoration: none;
            background-color: #9F9F9F;
            border: 1px solid #5C5C5C;
        }
        #price_slider, #price_slider_value
        {
            width: 400px;
            margin: 5px;
        }
        #empty
        {
            display: block;
            width: 400px;
            background-color: #9F9F9F;
            color: #fff;
            height: 30px;
            line-height: 30px;
            margin: 5px;
            text-align: center;
        }
        .modal
        {
            position: fixed;
            z-index: 999;
            height: 100%;
            width: 100%;
            top: 0;
            background-color: Black;
            filter: alpha(opacity=60);
            opacity: 0.6;
            -moz-opacity: 0.8;
        }
        .center
        {
            z-index: 1000;
            margin: 300px auto;
            padding: 10px;
            width: 130px;
            background-color: White;
            border-radius: 10px;
            filter: alpha(opacity=100);
            opacity: 1;
            -moz-opacity: 1;
        }
        .center img
        {
            height: 128px;
            width: 128px;
        }
    </style>
    <script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.7.2/jquery.min.js"></script>
    <script src="http://ajax.aspnetcdn.com/ajax/jquery.ui/1.8.9/jquery-ui.js" type="text/javascript"></script>
    <link href="http://ajax.aspnetcdn.com/ajax/jquery.ui/1.8.9/themes/excite-bike/jquery-ui.css"
        rel="stylesheet" type="text/css" />
    <script type="text/javascript">
        var min = 0;
        var max = 0;
        $(function () {
            //Get records for all prices.
            GetRecords(0, 0);
        });
        function SetSlider() {
            //Intialize the slider
            $("#price_slider").slider({
                min: min,
                max: max,
                step: 5,
                values: [min, max],
                stop: function (event, ui) {
                    var start = parseInt(ui.values[0]);
                    var end = parseInt(ui.values[1]);
                    $("#price_slider_value").html("Rs." + ui.values[0] + " - Rs." + ui.values[1]);

                    //When slider is stopped then get records for range.
                    GetRecords(start, end);
                },
                slide: function (event, ui) {
                    if ((ui.values[0] + 5) >= ui.values[1]) {
                        return false;
                    }
                }
            });
            //Display the minimum and maximum values.
            $("#price_slider_value").html("Rs." + min + " - Rs." + max);
        }
        function GetRecords(start, end) {
            $(".modal").show();
            $.ajax({
                type: "POST",
                url: "VB.aspx/GetProducts",
                data: '{start: ' + start + ', end: ' + end + '}',
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                success: OnSuccess,
                failure: function (response) {
                    alert(response.responseText);
                },
                error: function (response) {
                    alert(response.responseText);
                }
            });
        }
        function OnSuccess(response) {
            var xmlDoc = $.parseXML(response.d);
            var xml = $(xmlDoc);
            if (min == 0 && max == 0) {
                //Only for the first time set the minimum and maximum values.
                min = parseInt(xml.find("Range").eq(0).find("Min").text());
                max = parseInt(xml.find("Range").eq(0).find("Max").text());
                SetSlider();
            }
            var products = xml.find("Products");
            var repeatColumns = parseInt("<%=RepeatColumns %>");
            $("#dvProducts").html("<div id = 'empty'>There are no products available for the selected price range.</div>");
            if (products.length > 0) {
                //Copy the DataList HTML into the DIV.
                $("#dvProducts").html($("[id*=dlProducts]").parent().html());
            }
            $("#dvProducts > table").removeAttr("id");
            var rowCount = Math.ceil(products.length / repeatColumns);
            var j = 0;
            products.each(function () {
                var product = $(this);
                var row = $("#dvProducts > table .item:last").closest("tr");
                if ($(".is_used[value='1']", row).length == repeatColumns) {
                    row = $("#dvProducts > table tr").eq(0).clone();
                    $(".is_used", row).val("0");
                    $("#dvProducts > table").append(row);
                    j = 0;
                } else {
                    row = $("#dvProducts > table .item:last").closest("tr");
                }
                var cell = $(".item", row).eq(j);
                $(".name", cell).html(product.find("Name").text());
                var productId = product.find("ProductId").text();
                $(".product_id", cell).val(productId);
                $(".button", cell).text(product.find("Price").text());
                $(".is_used", cell).attr("value", "1");
                var img = $(".image", cell);
                img.attr("src", "images/" + productId + ".png");
                j++;
            });
            $("#dvProducts > table .is_used[value='0']").closest(".item").remove();
            $(".modal").hide();
        }
    </script>
</head>
<body>
    <form id="form1" runat="server">
    <div id="price_slider_value" style="width: 400px">
    </div>
    <div id="price_slider">
    </div>
    <hr />
    <div id="dvProducts">
    </div>
    <div style="display: none">
        <asp:DataList ID="dlProducts" runat="server" RepeatLayout="Table" RepeatColumns="3"
            CellPadding="2" CellSpacing="20">
            <ItemTemplate>
                <table class="item" cellpadding="0" cellspacing="0" border="0">
                    <tr>
                        <td align="center" class="header">
                            <span class="name">
                                <%# Eval("Name") %></span>
                        </td>
                    </tr>
                    <tr>
                        <td align="center" class="body">
                            <img class="image" src="" alt="" />
                        </td>
                    </tr>
                    <tr>
                        <td class="footer" align="center">
                            <span class="button"></span>
                            <input type="hidden" class="is_used" value="0" />
                            <input type="hidden" class="product_id" value='<%# Eval("ProductId")%>' />
                        </td>
                    </tr>
                </table>
            </ItemTemplate>
        </asp:DataList>
    </div>
    <div class="modal">
        <div class="center">
            <img alt="" src="loader.gif" />
        </div>
    </div>
    </form>
    <span>Pictures by <a href="http://freedesignfile.com/2283-exquisite-t-shirt-template-free-vector-03/">
        freedesignfile.com</a></span>
</body>
</html>
